Skip to content

Create new fiat withdrawal

POST
/v1/wallet/fiat/{currency}/withdraw

Withdraw your fiat funds into one of your linked bank accounts. The request body accepts an optional field called "fast". If the value of this field is "true" the withdrawal will be processed with real-time clearing ("RTC") (participating banks only) or real-time gross settlement ("RTGS") during our next withdrawal run. Use the allowBorrow option to borrow funds against assets in your account. Collateral is locked while the loan is outstanding. Interest accrues hourly and is capitalised into the loan. You can repay the loan whenever you prefer. Crypto Loans are only available in margin-enabled Subaccounts.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Path Parameters

currency*

The currency code for the fiat currency (e.g., ZAR)

Type
string
Required

Request Body

application/json
JSON
{
"linkedBankAccountId": "1f5aefb3-3ed0-4e79-99cc-efbee7dddbdf",
"amount": "500",
"fast": true,
"allowBorrow": false
}

Responses

Withdrawal request accepted

application/json

Playground

Authorization
Variables
Key
Value
Body

Samples